compile issues with the new version